distro=macos-aarch64

osx-sdk-file=MacOSX11.3.sdk.tar.xz
osx-sdk-dir=MacOSX11.3.sdk

.PHONY : all clean veryclean build no-cache upload push

tag=librewolf/bsys4-buildenv-$(distro)



all : build

clean :
	rm -rf $(osx-sdk-dir)
	rm -rf mozilla-unified

veryclean : clean
	rm -f typescript

mozilla-unified :
	$(MAKE) -C ../../mozilla all
	cp -r ../../mozilla/mozilla-unified .


build :
	$(MAKE) -C ../../cross-assets all
	$(MAKE) clean
	tar xf ../../cross-assets/$(osx-sdk-file)
	$(MAKE) mozilla-unified
	sudo script -e -c "time docker build -t $(tag) ."

no-cache :
	$(MAKE) clean
	tar xf ../../cross-assets/$(osx-sdk-file)
	$(MAKE) mozilla-unified
	sudo script -e -c "time docker build --no-cache -t $(tag) ."

push : build
	sudo docker push $(tag)

shell : 
	-sudo docker run -it --rm --privileged $(tag) bash
